import { BuilderContextInterface } from "../../../context/types.js";
import { BuilderBlock } from "../../../types/builder-block.js";
import { PropsWithChildren } from "../../../types/typescript.js";
type BlockWrapperProps = {
    Wrapper: string;
    block: BuilderBlock;
    context: BuilderContextInterface;
};
/**
 * This component renders a block's wrapper HTML element (from the block's `tagName` property).
 */
export declare const BlockWrapper: import("@builder.io/qwik").Component<PropsWithChildren<BlockWrapperProps>>;
export default BlockWrapper;
